<?php

namespace ISYS\UBRIR;

use UBRIR\GatewayPayment;

class OpencartPayment extends GatewayPayment
{
	private $connector;

    function __construct(\Controller $controller = null)
    {
        if ($controller !== null) {
            $this->connector = new OpencartUBRiRConnector($controller);

            parent::__construct($this->connector);
        } else {
            parent::__construct();
        }
    }

	/**
	 * @return OpencartUBRiRConnector
	 */
    public function GetOpencartConnector(){
    	return $this->connector;
    }

    /*
    public function checkOrderStatus($opencart, $twpg_order_id)
    {
        $shopId = $this->GetShopId();
        $sert = $this->GetPrivateCertificatePassword();

        if (empty($shopId)) {
            echo 'Оплата не настроена. Обратитесь к администратору магазина';
            return false;
        }

        $result = self::getTWPGDataByOrderID($opencart->db, $twpg_order_id);

        if ($result === false) {
            echo 'Ошибка поиска заказа в БД.';
            return false;
        } else {
            $twpg_session_id = $result['SessionID'];
            $order_id = $result['shoporderid'];

            $bankHandler = new Ubrir(array(                                                                                                                 // для статуса
                'shopId' => $shopId,
                'sert' => $sert,

                'twpg_order_id' => $twpg_order_id,
                'twpg_session_id' => $twpg_session_id
            ));

            $checkResult = $bankHandler->check_status();
            if ($checkResult == true) {
                $opencart->load->model('checkout/order');
                $opencart->model_checkout_order->confirm($order_id, $opencart->config->get('ubrr_order_status_id'));

                //не использумая часть $update_status = 'UPDATE `checkout` SET `Status`="2" WHERE `Id`= "' . $shoporderid . '"';
                return $order_id;
            }
        }
    }
*/
}