<?php

namespace UBRIR;

class MailNotifications
{
    var $fromName = 'Платежный шлюз УБРиР';
    var $fromEmail = 'info@s.laa.net.ru';

    public static function UTF8_Encode($CyrillicString)
    {
        return '=?utf-8?b?' . base64_encode($CyrillicString) . '?=';
    }

    public function SendPaymentNotification($receiverEmail, $receiverName = '')
    {
        //Потенциально несколько получаталей
        //$arTo = Array('Александр Лысенко' => 'ya.lysenkoalexander@yandex.ru');
        $arTo = Array();
        if (!is_array($receiverEmail)) {
            if (!is_array($receiverName))
                $arTo = Array($receiverEmail => $receiverName);
        } else {
            $arTo = $receiverEmail;
        }
        //$to = implode(', ', array_values($arTo));
        $to = '';
        foreach ($arTo as $name => $email) {
            if (is_string($name) && strlen($name) > 0)
                $to .= self::UTF8_Encode($name) . ' <' . $email . '>, ';
            else
                $to .= '<' . $email . '>, ';
        }
        $to = substr($to, 0, strlen($to) - 2); //Удаляем последний [, ]

        // тема письма
        $subject = 'Уведомление о платеже';
        // текст письма
        $mailTemplate = Core::GetCore()->IncludeTemplate('mail.adminnotification.php');

        if ($mailTemplate) {
            // Для отправки HTML-письма должен быть установлен заголовок Content-type
            $headers = 'MIME-Version: 1.0' . "\r\n";
            $headers .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
            $headers .= 'From: ' . self::UTF8_Encode($this->fromName) . ' <' . $this->fromEmail . '>' . "\r\n";

            // Отправляем
            return mail($to, $subject, $mailTemplate, $headers);
        }
        return false;
    }
}