<?

/** @var \UBRIR\Reconcile $ubrirReconcile */
/** @var boolean $isShowingReconcileResult */
/** @var array $reconcile */

?>
<div class="isys_ubrir_container">
    <h1>Сверка итогов</h1>

    <p><b>К сведению:&nbsp;</b>Сверка итогов производится на основании текущих заказов.<br/>
        Выполнение сверки итогов переносит текущие заказы в журнал, поэтому повторный вызов сверки итогов будет с
        нулевыми значениями.</p>

    <? if ($isShowingReconcileResult): ?>
        <div class="lastReconcileResult">
            <h2>Результат последней сверки итогов:</h2>

            <table class="ubrirTable Reconcile">
                <thead>
                <th></th>
                <th>Дебет</th>
                <th>Кредит</th>
                </thead>
                <tbody>
                <tr>
                    <td>Общая сумма:&nbsp;</td>
                    <td><?= $reconcile['debit']['total_amount_formated'] ?> </td>
                    <td><?= $reconcile['credit']['total_amount_formated'] ?> </td>
                </tr>
                <tr>
                    <td>Количество операций:&nbsp;</td>
                    <td><?= $reconcile['debit']['count'] ?>  </td>
                    <td><?= $reconcile['credit']['count'] ?> </td>
                </tr>
                <tfoot>
                <tr>
                    <td colspan="3">Итоги совпали - <?= $reconcile['reconcilation'] ?> </td>
                </tr>
                </tfoot>
                </tbody>
            </table>
        </div>
    <? endif ?>

    <form name="getReconcile" enctype="multipart/form-data" method="GET">
        <input type="hidden" name="forceRunReconcile" value="1"/>
        <button class="red bigButton" type="submit" id="startReconcile">Выполнить сверку итогов</button>
    </form>
</div>