<?php

class ModelExtensionPaymentUBRR extends Model
{
    public function getMethod($address, $total)
    {
        $this->load->language('extension/payment/ubrr');

        if ($this->config->get('ubrr_total') > 0 && $this->config->get('ubrr_total') > $total) {
            $status = false;
        } elseif (!$this->cart->hasShipping()) {
            $status = true;
        } elseif (!$this->config->get('ubrr_geo_zone_id')) {
            $status = true;
        } else {
            $status = false;
        }

        $method_data = array();

        if ($status) {
            $method_data = array(
                'code' => 'ubrr',
                'title' => $this->language->get('text_title'),
                'terms' => '',
                'sort_order' => $this->config->get('ubrr_sort_order')
            );
        }

        return $method_data;
    }
}