<?php

/** @var \UBRIR\NewCertificates $ubrirCertificateGenerator */
/** @var \UBRIR\DataContainer $testStatusData */

?>
<?
$MAX_FILE_SIZE = 5000;

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    ?>
    <div class="isys_ubrir_container">
        <?
        if ($testStatusData->isSuccess()) {
            $diagnosticLinkAttributes = $ubrirCertificateGenerator->GetNavigator()->GetDiagnosticLinkAttributes();

            ?>
            <dib class="param">
                <div class="paramValue success">
                    Проверка сертификата закончилась успешно. Можно приступать к использованию платежного модуля.
                </div>
            </dib>
            <a <?= $diagnosticLinkAttributes ?>>Вернутся на главную страницу модуля</a>
            <?
        } else {
            $certificateGenerateLinkAttributes = $ubrirCertificateGenerator->GetNavigator()->GetCertificateGenerateLinkAttributes();
            $certificateUploadLinkAttributes = $ubrirCertificateGenerator->GetNavigator()->GetCertificateUploadLinkAttributes();
            ?>
            <div class="param">
                <div class="paramValue error">

                    <p>
                        Ошибка(и) при попытке использовать новую пару сертификатов (.pem и .key).
                    </p>
                    <div class="errors"><?
                        $errors = $testStatusData->GetErrors();
                        ?>
                        <?
                        foreach ($errors as $errorMsg): ?>
                            <div class="error"><?= $errorMsg ?></div>
                        <? endforeach ?>
                    </div>
                    <p>
                        <a <?= $certificateUploadLinkAttributes ?>>попробуйте снова</a>
                        или
                        <a <?= $certificateGenerateLinkAttributes ?>>сгенерируйте новый запрос на выпуск сертификата</a>
                    </p>
                </div>
            </div>
            <?
        }
        ?>
    </div>
    <?
}

if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    ?>
    <h3>Если вы получили от банка письмо содержащее файл [user.pem] укажите его в форме ниже:</h3>

    <div class="isys_ubrir_container">
        <form name="certificateUploadForm" enctype="multipart/form-data" method="POST">
            <input type="file" name="new_public_certificate" title=".pem файл"/><br/>
            <input class="button button-primary" type="submit" name="upload_form_submit" value="Отправить"/>
        </form>
    </div>
    <?
}
?>
